<?php
/*
 * Themez Kitchen
 * -----------------------------------------------------------
 * @package Themez Kitchen  - Premium Multipurpose WordPress Theme
 * @subpackage ThemezKitchen
 * @copyright Copyright (c), ThemezKitchen,  (http://www.themezkitchen.com/)
 * @link http://www.themezkitchen.com/
 * @version 1.0.0
 * @since Version 1.0.0
 */
get_header();
?>
<section id="main-content" class="<?php echo ALLSPICE_GRID_CONTENT;?> main-content">
    <div id="primary" class="content-area">
        <div id="content" class="site-content" role="main">
            <header class="archive-header">
                <h1 class="archive-title">
                    <?php
                    if (is_day()) :
                        printf(__('Daily Archives: %s', 'allspice'), get_the_date());

                    elseif (is_month()) :
                        printf(__('Monthly Archives: %s', 'allspice'), get_the_date(_x('F Y', 'monthly archives date format', 'allspice')));

                    elseif (is_year()) :
                        printf(__('Yearly Archives: %s', 'allspice'), get_the_date(_x('Y', 'yearly archives date format', 'allspice')));

                    else :
                        _e('Archives', 'allspice');

                    endif;
                    ?>
                </h1>
            </header><!-- .archive-header -->

            <?php
            if (have_posts()) :
                // Start the Loop.
                while (have_posts()) : the_post();
                    echo '<div class="animate-element" data-wk-animation="zoomIn" data-wk-animation-duration="0.5s">';
                    /*
                     * We can include dinamically the specific post format template for the content.
                     * If you want to extend this and use it in a child theme
                     * just include a file called content-_____.php where _____ is the post format name.
                     * And this file will be used instead of the default
                     * Thank you for purchasing Themez Kitchen Themes
                     */
                    get_template_part('content', get_post_format());
                    if (comments_open() || get_comments_number()) {
                        get_template_part('comment', 'display');
                    }
                    echo '</div>';
                endwhile;
                // Previous/next post navigation.
                allspice_paging_nav();
            else :
                // If no content, include the "No posts found" template.
                get_template_part('content', 'none');
            endif;
            ?>
        </div><!-- end #content -->
    </div><!-- end #primary -->
</section><!-- end #main-content -->
<?php
get_footer();
?>