<?php
/* 
 * Themez Kitchen
 * -----------------------------------------------------------
 * @package Themez Kitchen  - Premium Multipurpose WordPress Theme
 * @subpackage ThemezKitchen
 * @copyright Copyright (c), ThemezKitchen,  (http://www.themezkitchen.com/)
 * @link http://www.themezkitchen.com/
 * @version 1.0.0
 * @since Version 1.0.0
 */
?>
<div class="comment-on-toggle">
    <button class="comment-on-close primary-bg" data-target="comm-<?php the_ID();?>" title="<?php _e('Click here to toggle comments', 'allspice');?>"><i class="fa fa-bars"></i> <span><?php _e('Show/Hide Comments', 'allspice');?></span></button>
</div>
<div class="comment-on-wrapper" id="comm-<?php the_ID();?>">
<?php 
//Load the latest comments
$args = array(
    'post_id' => get_the_ID(),
    'status' => 'approve',
    'number' => '3'
);
// The Query
$comments_query = new WP_Comment_Query;
$comments = $comments_query->query( $args );
// Comment Loop
if ( $comments ) : 
    echo '<h4 class="comment-on-title">' . __('Latest Comments on', 'allspice') . ' ' . get_the_title() .'</h4>';
	foreach ( $comments as $comment ) :
        ?>
<div class="comment-on clearfix">
    <div class="media">
        <div class="pull-left">
            <?php 
            $author_avatar_size = apply_filters('allspice_author_avatar_size', 36);
            $avatar = get_avatar($comment->comment_author_email, $author_avatar_size);
            echo $avatar;
            ?>
        </div>
        <div class="media-body">
            <div class="comment-on-info"><a href="<?php echo esc_url($comment->comment_author_url);?>"><span class="author"><?php echo esc_attr($comment->comment_author);?></span></a> <?php echo _x('|', 'Delimiter for the comments on the blog/archive pages', 'allspice');?> <span class="date"><?php echo date("jS F, Y", strtotime($comment->comment_date));?></span></div>
            <div class="comment-on-body">
                <p><?php echo $comment->comment_content; ?></p>
            </div>
        </div>
    </div>
</div>
        <?php 
	endforeach;
        ?>
    <div class="comment-on-more text-center"><?php comments_popup_link(__('Read more', 'allspice'), __('Read more', 'allspice'), __('Read more', 'allspice')); ?>
    </div>
    <?php 
else : 
    ?>
    <div class="comment-on-not-found text-center"><p><?php _e('No comments found', 'allspice');?></p><?php comments_popup_link(__('Leave a comment', 'allspice'), __('1 Comment', 'allspice'), __('% Comments', 'allspice')); ?></div>
    <?php 
endif;
?>
</div><!-- end /.comment-on-wrapper -->