<?php
/*
 * Themez Kitchen
 * -----------------------------------------------------------
 * @package Premium Multipurpose WordPress Theme
 * @subpackage ThemezKitchen
 * @copyright Copyright (c), ThemezKitchen,  (http://www.themezkitchen.com/)
 * @link http://www.themezkitchen.com/
 * @version 1.0.0
 * @since Version 1.0.0
 */

/*
 * Check if the current post is protected by a password and the visitor has not yet
 * entered the password  --- return early without loading the comments.
 */
if (post_password_required()) {
    return;
}
?>
<div id="comments" class="comments-area">

    <?php if (have_comments()) : ?>

        <h3 class="comments-title">
            <?php
            printf(_n('One comment', '%1$s comments ', get_comments_number(), 'allspice'), number_format_i18n(get_comments_number()));
            ?>
        </h3>

    <?php if (get_comment_pages_count() > 1 && get_option('page_comments')) : ?>
            <nav id="tk_comment-nav-above" class="navigation comment-navigation clearfix" role="navigation">
                <h1 class="sr-only sr-only-focusable"><?php _e('Comment navigation', 'allspice'); ?></h1>
                <div class="nav-next pull-right"><?php next_comments_link(__('Newer Comments', 'allspice')); ?></div>
                <div class="nav-previous pull-right"><?php previous_comments_link(__('Older Comments', 'allspice')); ?></div>	
            </nav><!-- #comment-nav-above -->
    <?php endif; // Check for comment navigation.  ?>

        <ul class="comment-list list-unstyled">
            <?php
            wp_list_comments(array(
                'style' => 'ul',
                'short_ping' => true,
                'avatar_size' => 66,
                'callback' => 'allspice_comment'
            ));
            ?>
        </ul><!-- .comment-list -->

    <?php if (get_comment_pages_count() > 1 && get_option('page_comments')) : ?>
            <nav id="tk_comment-nav-below" class="navigation comment-navigation clearfix" role="navigation">
                <h1 class="sr-only sr-only-focusable"><?php _e('Comment navigation', 'allspice'); ?></h1>
                <div class="nav-next pull-right"><?php next_comments_link(__('Newer Comments', 'allspice')); ?></div>
                <div class="nav-previous pull-right"><?php previous_comments_link(__('Older Comments', 'allspice')); ?></div>	
            </nav><!-- #comment-nav-below -->
    <?php endif; // Check for comment navigation.  ?>

        <?php if (!comments_open()) : ?>
            <p class="no-comments"><?php _e('Comments are closed.', 'allspice'); ?></p>
        <?php endif; ?>

    <?php endif; // have_comments() ?>

    <?php
    $comment_args = allspice_comment_form_args();
    comment_form($comment_args);
    ?>

</div><!-- #comments -->