<?php
/*
 * Themez Kitchen
 * -----------------------------------------------------------
 * @package Themez Kitchen  - Premium Multipurpose WordPress Theme
 * @subpackage ThemezKitchen
 * @copyright Copyright (c), ThemezKitchen,  (http://www.themezkitchen.com/)
 * @link http://www.themezkitchen.com/
 * @version 1.0.0
 * @since Version 1.0.0
 */
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <div class="post-icon-holder">
        <?php
        if (is_sticky() && is_home() && !is_paged()) :
            //if is sticky post
            ?>

            <span class="post-icon stick-post"><i class="fa fa-eye"></i><em class="sr-only sr-only-focusable"><?php _e('Sticky', 'allspice'); ?></em></span>
            <?php
        endif;
        //end if sticky
        ?>
            <a class="entry-format" href="<?php echo esc_url( get_post_format_link( 'gallery' ) ); ?>"><span class="post-icon gallery-post-icon"><i class="fa fa-image"></i><em class="sr-only sr-only-focusable"><?php _e('Gallery', 'allspice'); ?></em></span></a>
    </div>
    <?php
    //extract images from gallery shortcode if exists
    $gallery_img = allspice_get_gallery_attachments();
    //we need to display the gallery in the slider mode
    if (!empty($gallery_img)) :
        //display slideshow
        ?> 
        <div class="entry-content-asset">
            <div id="carousel-gallery-<?php the_ID(); ?>" class="carousel slide" data-ride="carousel">
                <!-- Indicators -->
                <ol class="carousel-indicators">
                    <?php
                    $i = 0;
                    foreach ($gallery_img as $gallery_item => $gallery_item_id) :
                        if ($i == 0) : $act = ' class="active"';
                        else: $act = null;
                        endif;
                        ?>
                        <li data-target="#carousel-gallery-<?php the_ID(); ?>" data-slide-to="<?php echo esc_attr($i); ?>"<?php echo $act; ?>></li>
                        <?php
                        $i++;
                    endforeach;
                    ?>
                </ol>
                <div class="carousel-inner" role="listbox">
                    <?php
                    $i = 0;
                    foreach ($gallery_img as $gallery_item => $gallery_item_id) :
                        $src = wp_get_attachment_image_src($gallery_item_id, array(950, 445), false, '');
                        $src_lg = wp_get_attachment_image_src($gallery_item_id, 'large', false, '');
                        //get the image meta
                        //$metadata = wp_get_attachment_metadata($gallery_item_id);
                        //print_r($metadata);
                        //$img_caption = $metadata['image_meta']['caption'];
                        $attachment_meta = allspice_get_attachment($gallery_item_id);
                        if ($i == 0) : $act = ' active';
                        else: $act = null;
                        endif;
                        ?>
                        <div class="item<?php echo $act; ?>">
                            
                            <a href="<?php echo esc_url($src_lg[0]); ?>" data-lightbox="gallery-image-<?php the_ID(); ?>"><img src="<?php echo esc_url($src[0]); ?>" alt="<?php _e('Gallery Image', 'allspice'); ?>"></a>
                            <?php if ($attachment_meta['caption'] != null) : ?>
                                <div class="carousel-caption">
                                    <p><?php echo $attachment_meta['caption']; ?></p>
                                </div>
                            <?php endif; ?>
                        </div>
                        <?php
                        $i++;
                    endforeach;
                    ?>
                </div>
                <!-- Controls -->
                <a class="left carousel-control" href="#carousel-gallery-<?php the_ID(); ?>" role="button" data-slide="prev">
                    <span class="glyphicon glyphicon-chevron-left" aria-hidden="true"></span>
                    <span class="sr-only"><?php _e('Previous', 'allspice'); ?></span>
                </a>
                <a class="right carousel-control" href="#carousel-gallery-<?php the_ID(); ?>" role="button" data-slide="next">
                    <span class="glyphicon glyphicon-chevron-right" aria-hidden="true"></span>
                    <span class="sr-only"><?php _e('Next', 'allspice'); ?></span>
                </a>
            </div>
        </div>
        <?php
    endif;
    ?>

    <?php
    if (has_post_thumbnail() && !empty($gallery_img) == null) :
        //get the thumbnail src
        $src = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), array(1024, 768), false, '');
        ?>
        <div class="entry-content-asset">
            <aside class="share-content">
                <span class="sr-only"><?php _e('Share this article', 'allspice'); ?></span>
                <ul class="list-unstyled">
                    <li><a href="<?php echo $src[0]; ?>"><i class="fa fa-search-plus"></i><span class="sr-only"><?php _e('Show larger image', 'allspice'); ?></span></a></li>
                    <li><a href="http://www.facebook.com/sharer.php?m2w&s=100&p[url]=<?php the_permalink(); ?>&p[images][0]=<?php echo wp_get_attachment_url(get_post_thumbnail_id()); ?>&p[title]=<?php echo rawurlencode(get_the_title()); ?>"><i class="fa fa-facebook"></i><span class="sr-only"><?php _e('Share on Facebook', 'allspice'); ?></span></a></li>
                    <li><a href="http://twitter.com/home?status=<?php echo rawurlencode(get_the_title()); ?>%20%20<?php the_permalink(); ?>"><i class="fa fa-twitter"></i><span class="sr-only"><?php _e('Share on Twitter', 'allspice'); ?></span></a></li>
                </ul>
            </aside>
            <a href="<?php the_permalink(); ?>" class="thumbnail-link">
                <span class="thumbnail-overlay"></span>
                <?php the_post_thumbnail(); ?>
            </a>
        </div>
    <?php endif; ?>


    <?php if (is_home() || is_search() || !is_single()) : ?>     
        <!-- content summary -->
        <div class="row content-summary">
            <div class="col-md-12 content-header">
                <header class="entry-header">
                    <?php the_title('<h1 class="entry-title"><a href="' . esc_url(get_permalink()) . '" rel="bookmark">', '</a></h1>'); ?>
                    <div class="entry-meta">
                        <?php allspice_posted_on();
                        if (!post_password_required() && ( comments_open() || get_comments_number() )) :
                    ?>
                    | <span class="comments-link"><?php comments_popup_link(__('Leave a comment', 'allspice'), __('1 Comment', 'allspice'), __('% Comments', 'allspice')); ?></span>
                    <?php
                endif;

                edit_post_link(__('Edit', 'allspice'), ' | <span class="edit-link">', '</span>');
                ?>
                        
                    </div>
                </header>
            </div>
        </div>
        <!-- end /.content-summary -->
    <?php else : ?>
        <!-- content post -->
        <div class="content-post">
            <header class="entry-header">
                <?php the_title('<h1 class="entry-title">', '</h1>'); ?>
                <div class="entry-meta">
                    <?php allspice_posted_on();
                    if (!post_password_required() && ( comments_open() || get_comments_number() )) :
                    ?>
                    | <span class="comments-link"><?php comments_popup_link(__('Leave a comment', 'allspice'), __('1 Comment', 'allspice'), __('% Comments', 'allspice')); ?></span>
                    <?php
                endif;

                edit_post_link(__('Edit', 'allspice'), ' | <span class="edit-link">', '</span>');
                ?>
                </div>
            </header>
            <div class="entry-content">
                <?php
                //strip the gallery shortcode (only the first)
                $content = allspice_strip_shortcode_gallery(get_the_content());
                $content = str_replace(']]>', ']]&gt;', apply_filters('the_content', $content));
                echo $content;
                wp_link_pages(array(
                    'before' => '<div class="page-links"><span class="page-links-title">' . __('Pages:', 'allspice') . '</span>',
                    'after' => '</div>',
                    'link_before' => '<span>',
                    'link_after' => '</span>',
                ));
                ?>
            </div>
        </div>
        <hr>
        <footer class="article-footer">
            <?php if (in_array('category', get_object_taxonomies(get_post_type())) && allspice_categorized_blog()) : ?>
                <div class="entry-meta">
                    <span class="cat-info"><?php _e('Posted in', 'allspice'); ?>: </span>
                    <span class="cat-links"><?php echo get_the_category_list(_x(' | ', 'Used between list items, there is a space between and after the sign.', 'allspice')); ?></span>
                </div>
                <?php the_tags('<div class="entry-meta"><i class="fa fa-tags"></i> <span class="tag-links">', ', ', '</span></div>'); ?>
            <?php endif; ?>
        </footer>
        <!-- end /.content-post -->
    <?php endif; ?>
</article>