<?php
/*
 * Themez Kitchen
 * -----------------------------------------------------------
 * @package Themez Kitchen  - Premium Multipurpose WordPress Theme
 * @subpackage ThemezKitchen
 * @copyright Copyright (c), ThemezKitchen,  (http://www.themezkitchen.com/)
 * @link http://www.themezkitchen.com/
 * @version 1.0.0
 * @since Version 1.0.0
 */
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <?php
    if (has_post_thumbnail()) :
        //get the thumbnail src
        $src = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), array(1024, 768), false, '');
        ?>
        <div class="entry-content-asset">
            <aside class="share-content">
                <span class="sr-only"><?php _e('Share this article', 'allspice'); ?></span>
                <ul class="list-unstyled">
                    <li><a href="<?php echo esc_url($src[0]); ?>" data-lightbox="featured-image-<?php the_ID(); ?>"><i class="fa fa-search-plus"></i><span class="sr-only"><?php _e('Show larger image', 'allspice'); ?></span></a></li>
                </ul>
                <?php allspice_share_side();?>
            </aside>
            <a href="<?php the_permalink(); ?>" class="thumbnail-link">
                <span class="thumbnail-overlay"></span>
                <?php the_post_thumbnail(); ?>
            </a>
        </div>
    <?php endif; ?>

    <div class="content-post">
        <header class="entry-header">
                <?php the_title('<h1 class="entry-title">', '</h1>'); ?>
                <div class="entry-meta">
                    <?php
                edit_post_link(__('Edit', 'allspice'), ' | <span class="edit-link">', '</span>');
                ?>
                </div>
            </header>
        <div class="entry-content">
            <?php
            the_content();
            wp_link_pages(array(
                'before' => '<div class="page-links"><span class="page-links-title">' . __('Pages:', 'allspice') . '</span>',
                'after' => '</div>',
                'link_before' => '<span>',
                'link_after' => '</span>',
            ));
            ?>
        </div><!-- .entry-content -->
    </div>
</article>
