<?php
/*
 * Themez Kitchen
 * -----------------------------------------------------------
 * @package Themez Kitchen  - Premium Multipurpose WordPress Theme
 * @subpackage ThemezKitchen
 * @copyright Copyright (c), ThemezKitchen,  (http://www.themezkitchen.com/)
 * @link http://www.themezkitchen.com/
 * @version 1.0.0
 * @since Version 1.0.0
 */
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <div class="post-icon-holder">
        <?php
        if (is_sticky() && is_home() && !is_paged()) :
            //if is sticky post
            ?>

            <span class="post-icon stick-post"><i class="fa fa-eye"></i><em class="sr-only sr-only-focusable"><?php _e('Sticky', 'allspice'); ?></em></span>
            <?php
        endif;
        //end if sticky
        ?>
            <a class="entry-format" href="<?php echo esc_url( get_post_format_link( 'quote' ) ); ?>"><span class="post-icon quote-post-icon"><i class="fa fa-quote-right"></i><em class="sr-only sr-only-focusable"><?php _e('Quote', 'allspice'); ?></em></span></a>
    </div>
    
        <?php
    if (has_post_thumbnail() && $gallery_img[0] == null) :
        //get the thumbnail src
        $src = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), array(1024, 768), false, '');
        ?>
        <div class="entry-content-asset">
            <aside class="share-content">
                <span class="sr-only"><?php _e('Share this article', 'allspice'); ?></span>
                <ul class="list-unstyled">
                    <li><a href="<?php echo esc_url($src[0]); ?>" data-lightbox="featured-image-<?php the_ID(); ?>"><i class="fa fa-search-plus"></i><span class="sr-only"><?php _e('Show larger image', 'allspice'); ?></span></a></li>
                </ul>
                <?php allspice_share_side();?>
            </aside>
            <a href="<?php the_permalink(); ?>" class="thumbnail-link">
                <span class="thumbnail-overlay"></span>
                <?php the_post_thumbnail(); ?>
            </a>
        </div>
    <?php endif; ?>
    
    <!-- content post -->
    <div class="quote-post">
        <div class="entry-content">
            <?php
            the_content();
            ?>
        </div>
    </div>
    <div class="content-summary">
        <div class="content-header">
            <header class="entry-header">
                <?php
                if (!is_single()) :
                    the_title('<h1 class="entry-title"><a href="' . esc_url(get_permalink()) . '" rel="bookmark">', '</a></h1>');
                else : 
                    the_title('<h1 class="entry-title">', '</h1>');
                endif;
                ?>
                <div class="entry-meta">
                    <?php allspice_posted_on();
                    if (!post_password_required() && ( comments_open() || get_comments_number() )) :
                    ?>
                    | <span class="comments-link"><?php comments_popup_link(__('Leave a comment', 'allspice'), __('1 Comment', 'allspice'), __('% Comments', 'allspice')); ?></span>
                    <?php
                endif;

                edit_post_link(__('Edit', 'allspice'), ' | <span class="edit-link">', '</span>');
                ?>
                    
                </div>
            </header>
        </div>
    </div>
    <?php if (is_single()) : ?>
        <footer class="article-footer">
            <?php if (in_array('category', get_object_taxonomies(get_post_type())) && allspice_categorized_blog()) : ?>
                <div class="entry-meta">
                    <span class="cat-info"><?php _e('Posted in', 'allspice'); ?>: </span>
                    <span class="cat-links"><?php echo get_the_category_list(_x(' | ', 'Used between list items, there is a space between and after the sign.', 'allspice')); ?></span>
                </div>
                <?php the_tags('<div class="entry-meta"><i class="fa fa-tags"></i> <span class="tag-links">', ', ', '</span></div>'); ?>
            <?php endif; ?>
        </footer>
   <?php endif; ?>
</article>
