<?php
/*
 * Themez Kitchen
 * -----------------------------------------------------------
 * @package Themez Kitchen  - Premium Multipurpose WordPress Theme
 * @subpackage ThemezKitchen
 * @copyright Copyright (c), ThemezKitchen,  (http://www.themezkitchen.com/)
 * @link http://www.themezkitchen.com/
 * @version 1.0.0
 * @since Version 1.0.0
 */
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <div class="post-icon-holder">
        <?php
        if (is_sticky() && is_home() && !is_paged()) :
            //if is sticky post
            ?>

            <span class="post-icon stick-post"><i class="fa fa-eye"></i><em class="sr-only sr-only-focusable"><?php _e('Sticky', 'allspice'); ?></em></span>
            <?php
        endif;
        //end if sticky
        ?>
        <a class="entry-format" href="<?php echo esc_url(get_post_format_link('status')); ?>"><span class="post-icon quote-post-icon"><i class="fa fa-pencil"></i><em class="sr-only sr-only-focusable"><?php _e('Status', 'allspice'); ?></em></span></a>
    </div>

    <div class="media status-post clearfix">
        <div class="author-image pull-left">
            <?php
            /** This filter is activated in author.php */
            $author_avatar_size = apply_filters('allspice_author_avatar_size', 96);
            echo get_avatar(get_the_author_meta('user_email'), $author_avatar_size);
            ?>
            <span class="mark-status"></span>
        </div>
        <div class="media-body">
            <div class="entry-meta">
                <?php
                printf('<span class="byline"><span class="author vcard"><a class="url fn n" href="%1$s" rel="author">%2$s</a></span></span> | ', esc_url(get_author_posts_url(get_the_author_meta('ID'))), get_the_author()
                );

                printf('<span class="entry-date"><time class="entry-date" datetime="%1$s">%2$s</time></span>', esc_attr(get_the_date('c')), esc_html(get_the_date())
                );

                if (!post_password_required() && ( comments_open() || get_comments_number() )) :
                    ?>
                    | <span class="comments-link"><?php comments_popup_link(__('Leave a comment', 'allspice'), __('1 Comment', 'allspice'), __('% Comments', 'allspice')); ?></span>
                    <?php
                endif;

                edit_post_link(__('Edit', 'allspice'), ' | <span class="edit-link">', '</span>');
                ?>
            </div>
            <div class="entry-content">
                <?php the_content(); ?>
            </div>
        </div>
    </div>

    <hr>
    <footer class="article-footer">
        <?php if (in_array('category', get_object_taxonomies(get_post_type())) && allspice_categorized_blog()) : ?>
            <div class="entry-meta">
                <span class="cat-info"><?php _e('Posted in', 'allspice'); ?>: </span>
                <span class="cat-links"><?php echo get_the_category_list(_x(' | ', 'Used between list items, there is a space between and after the sign.', 'allspice')); ?></span>
            </div>
            <?php the_tags('<div class="entry-meta"><i class="fa fa-tags"></i> <span class="tag-links">', ', ', '</span></div>'); ?>
        <?php endif; ?>
    </footer>
</article>
