<?php
/*
 * Themez Kitchen
 * -----------------------------------------------------------
 * @package Themez Kitchen  - Premium Multipurpose WordPress Theme
 * @subpackage ThemezKitchen
 * @copyright Copyright (c), ThemezKitchen,  (http://www.themezkitchen.com/)
 * @link http://www.themezkitchen.com/
 * @version 1.0.0
 * @since Version 1.0.0
 */
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <div class="post-icon-holder">
        <?php
        if (is_sticky() && is_home() && !is_paged()) :
            //if is sticky post
            ?>

            <span class="post-icon stick-post"><i class="fa fa-eye"></i><em class="sr-only sr-only-focusable"><?php _e('Sticky', 'allspice'); ?></em></span>
            <?php
        endif;
        //end if sticky
        ?>
            <a class="entry-format" href="<?php echo esc_url( get_post_format_link( 'video' ) ); ?>"><span class="post-icon video-post-icon"><i class="fa fa-video-camera"></i><em class="sr-only sr-only-focusable"><?php _e('Video', 'allspice'); ?></em></span></a>
    </div>

<?php
    if (has_post_thumbnail()) :
        //get the thumbnail src
        $src = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), array(1024, 768), false, '');
        ?>
        <div class="entry-content-asset">
            <aside class="share-content">
                <ul class="list-unstyled">
                    <li><a href="<?php echo esc_url($src[0]); ?>" data-lightbox="featured-image-<?php the_ID(); ?>"><i class="fa fa-search-plus"></i><span class="sr-only"><?php _e('Show larger image', 'allspice'); ?></span></a></li>
                </ul>
                <?php allspice_share_side();?>
            </aside>
            <a href="<?php the_permalink(); ?>" class="thumbnail-link">
                <span class="thumbnail-overlay"></span>
                <?php the_post_thumbnail(); ?>
            </a>
        </div>
    <?php endif; ?>

    <?php if (is_home() || is_search() || !is_single()) : ?>     
        <!-- content summary -->
        <div class="row content-summary">
            <div class="col-md-12 content-header">
                <header class="entry-header">
                    <?php the_title('<h1 class="entry-title"><a href="' . esc_url(get_permalink()) . '" rel="bookmark">', '</a></h1>'); ?>
                    <div class="entry-meta">
                        <?php allspice_posted_on();
                        if (!post_password_required() && ( comments_open() || get_comments_number() )) :
                    ?>
                    | <span class="comments-link"><?php comments_popup_link(__('Leave a comment', 'allspice'), __('1 Comment', 'allspice'), __('% Comments', 'allspice')); ?></span>
                    <?php
                endif;

                edit_post_link(__('Edit', 'allspice'), ' | <span class="edit-link">', '</span>');
                ?>
                        
                    </div>
                </header>
            </div>
        </div>
        <!-- end /.content-summary -->
    <?php else : ?>
        <!-- content post -->
        <div class="content-post">
            <header class="entry-header">
                <?php the_title('<h1 class="entry-title">', '</h1>'); ?>
                <div class="entry-meta">
                    <?php allspice_posted_on();
                    if (!post_password_required() && ( comments_open() || get_comments_number() )) :
                    ?>
                    | <span class="comments-link"><?php comments_popup_link(__('Leave a comment', 'allspice'), __('1 Comment', 'allspice'), __('% Comments', 'allspice')); ?></span>
                    <?php
                endif;

                edit_post_link(__('Edit', 'allspice'), ' | <span class="edit-link">', '</span>');
                ?>
                </div>
            </header>
            <div class="entry-content">
                <?php
                //strip the gallery shortcode (only the first)
               the_content( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'allspice' ) );
			wp_link_pages( array(
				'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'allspice' ) . '</span>',
				'after'       => '</div>',
				'link_before' => '<span>',
				'link_after'  => '</span>',
		) );
                ?>
            </div>
        </div>
        <hr>
        <footer class="article-footer">
            <?php if (in_array('category', get_object_taxonomies(get_post_type())) && allspice_categorized_blog()) : ?>
                <div class="entry-meta">
                    <span class="cat-info"><?php _e('Posted in', 'allspice'); ?>: </span>
                    <span class="cat-links"><?php echo get_the_category_list(_x(' | ', 'Used between list items, there is a space between and after the sign.', 'allspice')); ?></span>
                </div>
                <?php the_tags('<div class="entry-meta"><i class="fa fa-tags"></i> <span class="tag-links">', ', ', '</span></div>'); ?>
            <?php endif; ?>
        </footer>
        <!-- end /.content-post -->
    <?php endif; ?>
</article>
