<?php

/* 
 * Themez Kitchen
 * -----------------------------------------------------------
 * @package Themez Kitchen  - Premium Multipurpose WordPress Themess
 * @subpackage ThemezKitchen
 * @copyright Copyright (c), ThemezKitchen,  (http://www.themezkitchen.com/)
 * @link http://www.themezkitchen.com/
 * @version 1.0.0
 * @since Version 1.0.0
 */


/**
 * Main function for the TK template
 * Set up the theme and provides some helper functions, which are used in the
 * theme as custom template tags. Others are attached to action and filter
 * hooks in WordPress to change core functionality.
 */
/**
 * Theme only works in WordPress 4.0 or later.
 */
if (version_compare($GLOBALS['wp_version'], '4.0', '<')) {
    require get_template_directory() . '/inc/compatibility.php';
}

//require nav walker
require get_template_directory() . '/inc/menu-walker.php';


if ( ! isset( $content_width ) ) $content_width = 1170;



//Add support for the child themes
if (!function_exists('allspice_setup')) :
    /**
     * Theme
     *
     * This function is hooked into the after_setup_theme hook, which
     * runs before the init hook.
     *
     * @since 1.0.0
     */
    function allspice_setup() {
        /*
         * Make Theme available for translation.
         *
         * Translations can be added to the /languages/ directory.
         * If you're building a child theme based on this theme, use a find and
         * replace to change 'allspice' to the name of your theme in all
         * template files.
         */
        load_theme_textdomain('allspice', get_template_directory() . '/languages');
        // Add RSS feed links to <head> for posts and comments.
        add_theme_support('automatic-feed-links');
        // Enable support for Post Thumbnails, and declare the appropriate sizes.
        add_theme_support('post-thumbnails');
        set_post_thumbnail_size( 950, 445, true );
        // This theme uses wp_nav_menu() in a single location (top header).
        register_nav_menus(array(
            'primary' => __('Top primary menu', 'allspice')
        ));
        
        /*
         * Switch default core markup for search form, comment form, and comments
         * to output valid HTML5.
         */
        add_theme_support('html5', array(
            'search-form', 'comment-form', 'comment-list', 'gallery', 'caption'
        ));
        
        // This theme allows users to set a custom background.
	add_theme_support( 'custom-background', apply_filters( 'allspice_custom_background_args', array(
		'default-color' => 'f5f5f5',
                'default-image' => '%1$s/images/background.jpg',
	) ) );
        
        /*
         * Enable support for Post Formats.
         * See http://codex.WordPress.org/Post_Formats
         */
        add_theme_support('post-formats', array(
            'image', 'video', 'audio', 'quote', 'link', 'gallery', 'status'
        ));
        
        // This theme uses its own gallery styles.
	add_filter( 'use_default_gallery_style', '__return_false' );
    }
endif; //theme setup
add_action('after_setup_theme', 'allspice_setup');

// Add Theme Customizer functionality.
require get_template_directory() . '/inc/customizer.php';

//Include all other func files
require_once(  get_template_directory() . '/inc/functions/functions.theme.php');
require_once(  get_template_directory() . '/inc/functions/functions.seo.php');
require_once(  get_template_directory() . '/inc/functions/functions.blog.php');
require_once(  get_template_directory() . '/inc/functions/functions.widgets.php');
require_once(  get_template_directory() . '/inc/functions/functions.comments.php');