<?php
/*
 * Themez Kitchen
 * -----------------------------------------------------------
 * @package Themez Kitchen  - Premium Multipurpose WordPress Theme
 * @subpackage ThemezKitchen
 * @copyright Copyright (c), ThemezKitchen,  (http://www.themezkitchen.com/)
 * @link http://www.themezkitchen.com/
 * @version 1.0.0
 * @since Version 1.0.0
 */
?><!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7 no-js" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8 no-js" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) & !(IE 8)]><!-->
<html <?php language_attributes(); ?> class="no-js">
    <!--<![endif]-->
    <head>
        <meta charset="<?php bloginfo('charset'); ?>">
        <meta name="viewport" content="width=device-width">
        <title><?php wp_title('|', true, 'right'); ?></title>
        <link rel="profile" href="http://gmpg.org/xfn/11">
        <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">
        <?php wp_head(); ?>
    </head>
    <body <?php body_class(); ?>>
        <a class="sr-only sr-only-focusable" href="#content"><?php _e('Skip to content', 'allspice'); ?></a>
        <div class="search-b-overlay"></div>
        <div id="page" class="hfeed site">
            <header id="masthead" class="site-header" role="banner">
                <nav class="navbar navbar-wk" role="navigation">
                    <div class="container-fluid">
                        <div class="navbar-header">
                            <?php 
                            if ( has_nav_menu( 'primary' ) ) : 
                            ?>
                            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#wk-top-navbar" aria-expanded="false" aria-controls="wk-top-navbar">
                                <span class="sr-only sr-only-focusable"><?php _e('Toggle navigation', 'allspice'); ?></span>
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                            </button>                            
                            <?php 
                            endif;
                            ?>
                            <a class="navbar-brand site-title" href="<?php echo esc_url(home_url('/')); ?>">

                                    <?php echo esc_attr(get_bloginfo('name', 'display')); ?>
                            </a>
                            <?php if (get_bloginfo('description')) : ?>
                                <p class="navbar-text hidden-sm hidden-xs"><?php bloginfo('description'); ?></p>
                            <?php endif; ?>
                        </div>
                        <?php
                        wp_nav_menu(array(
                            'menu' => 'primary',
                            'theme_location' => 'primary',
                            'depth' => 2,
                            'container' => 'div',
                            'container_class' => 'collapse navbar-collapse',
                            'container_id' => 'wk-top-navbar',
                            'menu_class' => 'nav navbar-nav navbar-right',
                            'fallback_cb' => 'wp_bootstrap_navwalker::fallback',
                            'walker' => new wp_bootstrap_navwalker())
                        );
                        ?>
                    </div>
                </nav>
            </header>


            
            <?php 
            //if is not home give another class
            if (!is_home()) : 
               $author_collapse = ' author-collapse';
            else : 
                $author_collapse = null;
            endif;
            ?>
            <section class="author-cover">
                <div class="author-cover-custom<?php echo $author_collapse;?>">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-md-4 author-info col-md-offset-4 text-center">
                            <?php
                            //display author info | only the admin
                            $args = array(
                                'role' => 'Administrator',
                                'number' => 1
                            );
                            $user_query = new WP_User_Query($args);
                            foreach ($user_query->results as $user) :
                                ?>
                                <div class="author-avatar">
                                    <?php
                                    $author_avatar_size = apply_filters('allspice_author_avatar_size', 96);
                                    $avatar = get_avatar($user->user_email, $author_avatar_size);
                                    echo $avatar;
                                    ?>
                                </div>
                                <h1 class="author-entry-header"><?php echo  esc_html($user->display_name); ?></h1>
                                <?php if (get_the_author_meta('description', $user->ID)) : ?>
                                    <div class="author-description"><?php the_author_meta('description', $user->ID); ?></div>
                                <?php endif; ?>

                                <?php
                            endforeach;
                            ?>
                        </div>
                    </div>
                </div>
                </div>
            </section>


                <!-- the big search form -->
                <div id="bigsearchform" class="big-search-form">
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-md-12">
                                <form role="search" method="get" id="othersearchform" class="other-searchform" action="<?php echo esc_url(home_url('/')); ?>">
                                    <div class="input-group">
                                        <label class="sr-only sr-only-focusable" for="bs"><?php _e( 'Search for:', 'allspice' ); ?></label>
                                        <input type="search" value="<?php echo get_search_query(); ?>" name="s" id="bs" class="form-control input-lg" placeholder="<?php _e('enter the query', 'allspice'); ?>"/>
                                        <span class="input-group-btn">
                                            <button class="btn btn-lg btn-default" type="submit" id="bigsearchsubmit"><i class="fa fa-search"></i><span class="sr-only"><?php _e( 'Search', 'allspice' ); ?></span></button>
                                            <button class="btn btn-lg btn-default btn-open-close active-search" type="button"><i class="fa fa-search"></i><span class="sr-only"><?php _e( 'Toggle Search', 'allspice' ); ?></span></button>
                                        </span>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- end #bigsearchform -->
            <div id="main" class="site-main">
                <!-- main container -->
                <div id="container-main" class="container container-main">
                    <!-- main row -->
                    <div id="row-main" class="row row-main">
                        <?php if (is_active_sidebar('sidebar-primary') && !is_404() && get_theme_mod('content_layout') == 'left' && get_theme_mod('content_layout') != 'none' && !is_page_template('page-tpl-nosidebar.php') && !is_page_template('page-tpl-rightsidebar.php') && !is_page()) : ?>
                            <!-- sidebar -->
                            <div class="col-md-3 sidebar-column hidden-xs">
                                <?php get_sidebar(); ?>
                            </div>
                        <?php endif; ?>
                        
                        <?php
                            if (is_page() && is_active_sidebar('sidebar-primary') && !is_404() && !is_page_template('page-tpl-nosidebar.php') && !is_page_template('page-tpl-rightsidebar.php')) {
                                ?> 
                             <!-- sidebar -->
                            <div class="col-md-3 sidebar-column hidden-xs">
                                <?php get_sidebar(); ?>
                            </div>
                            <?php 
                            }
                        ?>
                        <?php
                        //define column
                        if (get_theme_mod('content_layout') == 'None' || !is_active_sidebar('sidebar-primary')  ||  is_page_template('page-tpl-nosidebar.php')) :
                            define('ALLSPICE_GRID_CONTENT', 'col-md-12');
                        else :
                            define('ALLSPICE_GRID_CONTENT', 'col-md-9');
                        endif;
                        
                        //define footer if page template
                       
                        if (is_page_template('page-tpl-rightsidebar.php')) : 
                             
                            if (is_page_template('page-tpl-nosidebar.php')) : 
                                define('ALLSPICE_SHOW_FOOTER_SIDEBAR', 'no');
                            else : 
                                define('ALLSPICE_SHOW_FOOTER_SIDEBAR', 'yes');
                            endif;
                        else : 
                            define('ALLSPICE_SHOW_FOOTER_SIDEBAR', 'no');
                        endif;
                        ?>