<?php

/* 
 * Themez Kitchen
 * -----------------------------------------------------------
 * @package Themez Kitchen - WordPress Theme for us
 * @subpackage ThemezKitchen
 * @copyright Copyright (c), ThemezKitchen,  (http://www.themezkitchen.com/)
 * @link http://www.themezkitchen.com/
 * @version 1.0.0
 * @since Version 1.0.0
 */


if (!function_exists('allspice_comment_form_args')) :
/**
 * Comment form args
 * @return string
 * @since 1.0.0
 */
function allspice_comment_form_args() {
    global $post;
    $commenter = wp_get_current_commenter();
    $req = get_option( 'require_name_email' );
    $aria_req = ( $req ? " aria-required='true'" : '' );
    $args = array(
        'id_form' => 'commentform',
        'id_submit' => 'submit',
        'title_reply' => __('Leave a reply', 'allspice'),
        'title_reply_to' => __('Leave a Reply to %s', 'allspice'),
        'cancel_reply_link' => __('Cancel Reply', 'allspice'),
        'label_submit' => __('Post Your Comment', 'allspice'),
        'comment_field' => '<div class="comment-form-comment form-group"><label for="comment">' . __('Comment', 'allspice') .
        '</label><textarea id="comment" name="comment" cols="45" rows="8" aria-required="true" class="form-control" placeholder="'. __('Your Comment', 'allspice'). '">' .
        '</textarea></div>',
        'comment_notes_after' => '<input type="submit" class="btn btn-primary" id="submit-startera" value="' . __( 'Post Your Comment', 'allspice' ) . '" />',
        /*'comment_notes_after' => '<p class="form-allowed-tags">' .
        sprintf(
                __('You may use these <abbr title="HyperText Markup Language">HTML</abbr> tags and attributes: %s'), ' <pre>' . allowed_tags() . '</pre>'
        ) . '</p>',*/
        'fields' => apply_filters('comment_form_default_fields', array(
            'author' =>
            '<div class="comment-form-author form-group">' .
            '<label for="author">' . __('Name', 'allspice') . '</label> ' .
            ( $req ? '<span class="required">*</span>' : '' ) .
            '<input id="author" name="author" class="form-control" type="text" value="' . esc_attr($commenter['comment_author']) .
            '" placeholder="'. __('Your Name', 'allspice'). '" size="30"' . $aria_req . ' /></div>',
            'email' =>
            '<div class="comment-form-email form-group"><label for="email">' . __('Email', 'allspice') . '</label> ' .
            ( $req ? '<span class="required">*</span>' : '' ) .
            '<input id="email" name="email" class="form-control" type="text" value="' . esc_attr($commenter['comment_author_email']) .
            '" placeholder="'. __('Your Email Address', 'allspice'). '" size="30"' . $aria_req . ' /></div>',
            'url' =>
            '<div class="comment-form-url form-group"><label for="url">' .
            __('Website', 'allspice') . '</label>' .
            '<input id="url" name="url" class="form-control" type="text" value="' . esc_attr($commenter['comment_author_url']) .
            '" size="30" placeholder="'. __('Your Website URL', 'allspice'). '"/></div>'
                )
        ),
    );

    //return
    return $args;
}
endif;



function allspice_comment($comment, $args, $depth) {
	$GLOBALS['comment'] = $comment;
	extract($args, EXTR_SKIP);

	if ( 'div' == $args['style'] ) {
		$tag = 'div';
		$add_below = 'comment';
	} else {
		$tag = 'li';
		$add_below = 'div-comment';
	}
?>
	<<?php echo $tag ?> <?php comment_class( empty( $args['has_children'] ) ? '' : 'parent' ) ?> id="comment-<?php comment_ID() ?>">
	<?php if ( 'div' != $args['style'] ) : ?>
	<div id="div-comment-<?php comment_ID() ?>" class="comment-body">
	<?php endif; ?>
	

        <div class="media">
         
            
        <div class="comment-author vcard pull-left comment-author-avatar">
	<?php if ( $args['avatar_size'] != 0 ) echo get_avatar( $comment, $args['avatar_size'] ); ?>
	</div>
        
            <div class="media-body">
                 <div class="comment-author-name">
                <?php printf( __( '<h5 class="fn">%s</h5>', 'allspice' ), get_comment_author_link() ); ?>
                 </div>
                   <div class="comment-meta commentmetadata"><a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ); ?>">
                        <?php
                                /* translators: 1: date, 2: time */
                                printf( __('%1$s at %2$s', 'allspice'), get_comment_date(),  get_comment_time() ); ?></a><?php edit_comment_link( __( '(Edit)', 'allspice' ), '  ', '' );
                        ?>
                    </div>    
                
                <?php if ( $comment->comment_approved == '0' ) : ?>
                        <em class="comment-awaiting-moderation"><?php _e( 'Your comment is awaiting moderation.', 'allspice' ); ?></em>
                        <br />
                <?php endif; ?>

               

                <?php comment_text(); ?>

                <div class="reply">
                    <h5>
                <?php comment_reply_link( array_merge( $args, array( 'add_below' => $add_below, 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
                    </h5>
                </div>
            </div>
            
                
        </div>
            
        <?php if ( 'div' != $args['style'] ) : ?>
	</div>
	<?php endif; ?>
<?php
}