<?php

/* 
 * Themez Kitchen
 * -----------------------------------------------------------
 * @package ThemezKitchen - Premium Multipurpose WordPress Theme
 * @subpackage ThemezKitchen
 * @copyright Copyright (c), ThemezKitchen,  (http://www.themezkitchen.com/)
 * @link http://www.themezkitchen.com/
 * @version 1.0.0
 * @since Version 1.0.0
 */

/**
 * Register Widget areas.
 *
 * @since 1.0.0
 */
function allspice_widgets_init() {

    register_sidebar(array(
        'name' => __('Sidebar', 'allspice'),
        'id' => 'sidebar-primary',
        'description' => __('Main sidebar that appears on the left or the right side of the blog posts or pages.', 'allspice'),
        'before_widget' => '<aside id="%1$s" class="widget %2$s">',
        'after_widget' => '</aside>',
        'before_title' => '<h3 class="widget-title primary-bg">',
        'after_title' => '</h3>',
    ));
    
    register_sidebar(array(
        'name' => __('Footer First', 'allspice'),
        'id' => 'footer-first',
        'description' => __('First footer sidebar widget', 'allspice'),
        'before_widget' => '<div class="col-md-3"><aside id="%1$s" class="widget %2$s">',
        'after_widget' => '</aside></div>',
        'before_title' => '<h3 class="widget-title">',
        'after_title' => '</h3>',
    ));
    
    register_sidebar(array(
        'name' => __('Footer Second', 'allspice'),
        'id' => 'footer-second',
        'description' => __('Second footer sidebar widget', 'allspice'),
        'before_widget' => '<div class="col-md-3"><aside id="%1$s" class="widget %2$s">',
        'after_widget' => '</aside></div>',
        'before_title' => '<h3 class="widget-title">',
        'after_title' => '</h3>',
    ));
    
    register_sidebar(array(
        'name' => __('Footer Third', 'allspice'),
        'id' => 'footer-third',
        'description' => __('Third footer sidebar widget', 'allspice'),
        'before_widget' => '<div class="col-md-3"><aside id="%1$s" class="widget %2$s">',
        'after_widget' => '</aside></div>',
        'before_title' => '<h3 class="widget-title">',
        'after_title' => '</h3>',
    ));
    
    register_sidebar(array(
        'name' => __('Footer Fourth', 'allspice'),
        'id' => 'footer-fourth',
        'description' => __('Fourth footer sidebar widget', 'allspice'),
        'before_widget' => '<div class="col-md-3"><aside id="%1$s" class="widget %2$s">',
        'after_widget' => '</aside></div>',
        'before_title' => '<h3 class="widget-title">',
        'after_title' => '</h3>',
    ));
}

add_action('widgets_init', 'allspice_widgets_init');